LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 06-22-2014, 06:40 AM   #1
Richard14
Member
 
Registered: Nov 2009
Location: Near Ludlow
Distribution: Ubuntu 15.10
Posts: 92
Blog Entries: 1

Rep: Reputation: 0
Unable to update Ubuntu12.04


Packard Bell 2.9GHz
Name IMEDIA 1328
Model Type UTOW-SAM
MSIOHQL No: SAN1058593

Running Ubuntu 12.04

Friend who owns this PC has not updated it for months.

I ran in terminal " sudo apt-get update" without ""

When trying to update I had a error

Requires install of untrusted packets - or something alike.

Error was

python-lockfile

Any advice please.

Thanks

Richard
 
Old 06-22-2014, 04:43 PM   #2
coralfang
Member
 
Registered: Nov 2010
Location: Bristol, UK
Distribution: Slackware, FreeBSD
Posts: 384
Blog Entries: 2

Rep: Reputation: 96
Check if any PPA's have been added. Some might not be using keys, or it's possible that one of the keys has expired since adding the repository.

PS; A full output from running the command would give more helpful information.
 
Old 06-23-2014, 05:56 AM   #3
Richard14
Member
 
Registered: Nov 2009
Location: Near Ludlow
Distribution: Ubuntu 15.10
Posts: 92
Blog Entries: 1

Original Poster
Rep: Reputation: 0
Quote:
Originally Posted by coralfang View Post
Check if any PPA's have been added. Some might not be using keys, or it's possible that one of the keys has expired since adding the repository.

PS; A full output from running the command would give more helpful information.
I don't understand what PPA's is or how to add it, and what full o/p from running command is either.

Please advise.



Richard14
 
Old 06-23-2014, 01:24 PM   #4
TroN-0074
Senior Member
 
Registered: Dec 2011
Location: Michigan USA
Distribution: OpenSUSE 13.2 64bit-Gnome on ASUS U52F
Posts: 1,444

Rep: Reputation: 340Reputation: 340Reputation: 340Reputation: 340
Try these commands
Code:
sudo apt-get clean
sudo apt-get update
sudo apt-get install -f
sudo dpkg -a --configure
sudo apt-get dist-upgrade
 
Old 06-24-2014, 07:13 AM   #5
chrism01
LQ Guru
 
Registered: Aug 2004
Location: Sydney
Distribution: Centos 6.8, Centos 5.10
Posts: 17,241

Rep: Reputation: 2325Reputation: 2325Reputation: 2325Reputation: 2325Reputation: 2325Reputation: 2325Reputation: 2325Reputation: 2325Reputation: 2325Reputation: 2325Reputation: 2325
When running cmds above, do post the exact msgs you get; don't try to describe them. Exact details are important when debugging.
 
Old 06-27-2014, 01:17 PM   #6
Richard14
Member
 
Registered: Nov 2009
Location: Near Ludlow
Distribution: Ubuntu 15.10
Posts: 92
Blog Entries: 1

Original Poster
Rep: Reputation: 0
Thumbs up

Quote:
Originally Posted by TroN-0074 View Post
Try these commands
Code:
sudo apt-get clean
sudo apt-get update
sudo apt-get install -f
sudo dpkg -a --configure
sudo apt-get dist-upgrade
After using the detail above - All now working OK

Thank you very much from your help

Richard14
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Update Manager - Unable to update or upgrade Flaysey Linux - Newbie 7 01-06-2014 11:20 PM
Not able to install ubuntu12.10 in my laptop!! ravisingh1 Linux - Laptop and Netbook 8 06-05-2013 01:47 PM
Unable to upgrade to ubuntu 7.10, update manager fails to update.... jonbvgood Linux - Software 2 02-05-2008 04:58 PM
Red Hat Update Agent freezing, unable to update (FC4) Malakye Fedora 1 12-09-2005 09:02 PM
Unable to logon on as non-root user after update as unable to set executable context pls198 Fedora 2 04-09-2004 12:41 PM


All times are GMT -5. The time now is 08:34 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration